#include <qapplication.h>
#include <qdom.h>
#include <qfile.h>
#include <qstring.h>
#include <qfile.h>
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
  QApplication a(argc, argv, false);
  if (a.argc() < 2)
  {
    cout << "I did not get a file to check as argument\n";
    exit(2);
  }
  QString filename = a.argv()[1];

  QFile f(filename);
  if (!f.open(IO_ReadOnly))
  {
    cout << "Could not open file " << filename << endl;
    exit(2);
  }

  QDomDocument doc;
  QString errorMsg = "unknown";
  int errorLine = 0;
  int errorColumn = 0;
  if (!doc.setContent(&f, &errorMsg, &errorLine, &errorColumn))
  {
    cout << "Error in " << filename
         << ":" << errorLine
         << ":" << errorColumn
         << " : "
         << errorMsg << endl;
    f.close();
    exit(1);
  }
  f.close();
  exit(0);
}
